load('a9a_deterministic_weakly_convex_workspace_nostationarity.mat');
SSG_w_candidate_for_stationarity = SSG_w_candidate(:,1:numitersub_ub:(step_count_ssg+1));
SSG_stationarity_measure = deterministic_weakly_convex_stationarity_measure_batch(A, b, Ac, idmalec, idfemalec, nummalec, numfemalec, SSG_w_candidate_for_stationarity, rho_hat, SCAD_coefficient, kappa);
IPP_SSG_stationarity_measure = deterministic_weakly_convex_stationarity_measure_batch(A, b, Ac, idmalec, idfemalec, nummalec, numfemalec, IPP_SSG_w_candidate, rho_hat, SCAD_coefficient, kappa);
IPP_ConEx_stationarity_measure = deterministic_weakly_convex_stationarity_measure_batch(A, b, Ac, idmalec, idfemalec, nummalec, numfemalec, IPP_ConEx_w_candidate, rho_hat, SCAD_coefficient, kappa);
save('SSG_stationarity_measure.mat','SSG_stationarity_measure');
save('IPP_SSG_stationarity_measure.mat','IPP_SSG_stationarity_measure');
save('IPP_ConEx_stationarity_measure.mat','IPP_ConEx_stationarity_measure');